---
title: Contact Policy
---

:::tip
We maintain a full list of all officially-owned social media accounts. You can view those accounts at https://cdn.nhcarrigan.com/socials.txt.

<details>
  <summary>Verification Instructions</summary>

To verify the authenticity of that document, grab our SSH key from https://git.nhcarrigan.com/naomi.keys and save it locally. ADD `naomi@nhcarrigan.com ` TO THE BEGINNING OF THIS SIGNATURE FILE. It should look like `naomi@nhcarrigan.com ssh-rsa <key string>`.

Save the list of socials locally locally.

Copy and save this signature locally:

```
-----BEGIN SSH SIGNATURE-----
U1NIU0lHAAAAAQAAAhcAAAAHc3NoLXJzYQAAAAMBAAEAAAIBAMU5uZawMgDZj3m5jw9WZ6
ltOSMbYQWnfo9NyccKL8xiVoGVU9PxzSLEuPpczAZpNaKLD5JqhJ2zXN/9YVF+R3wq6NZY
tCDTET02HShOEXTsfChEi+LVi4Brr1OY5Jo1pPViNfm4IintA1yTkCQtyQwrq/lWFvlc/B
mS0Sn3ogEJCp0FxXYXrBfo6ujveKoYKiIBxRlHN4D13Mu00KDvufeEUqtJ42m5fNf/dKJU
7H3Hb7e9l3IuUJeiBC8fb0tTx7E9pg6ivaH6KM8tVGK+U77LK3qzXWICutWGAg1GlMQNsd
17sa03NB4tE12cXIVLCSPUo9Wlt+8BYNNvO14JrCJzQ4/mzBDSsUu2NKdAj4rYaoUW742/
KnPdhfmjOpMFIW53IjldmAs5sixH8u6DrMR1Ge+goOcdwGpHGdl4c4Pkyr6gesdLIDwpE4
sf5ea0XB23JqTDU2e7AusUzTwc4coUGPrrOBTVJI2NSJSS/eUEiGUMhUBYOTtcbnJEnHQb
Nw0sDi+8gqFLdJU6pl7NFWt8HrRKCU4g86DGO9Ym5j2MJNw3looFPjr4eNqbd0Xvnh3Hes
bXTcDO+fT9vceJx/fT4ulE23GLiT5B0Pir8uVGaytKXTRLjBx9op7NrsvxYABQ2Z8Kp4Ck
nTpTU75OikmKTNPltPk5sfIN5SAd0HWPAAAAB3NvY2lhbHMAAAAAAAAABnNoYTUxMgAAAh
QAAAAMcnNhLXNoYTItNTEyAAACAHLoLzpT0ArzK3eLg3bA921wrf3Pcoxye3735O7zbOOK
jRoGgdprpXg5S5IkxEW/FARGlFX4G9nr+OTduNhBLRWwxcvRCYgGk2iRMydHzaslK0tAtN
tz+uT5kxn+7Iky0oGvYhgXXYtbjV4QSyu6Og5VpDCluEj8c9mZx/y3/FEBfIdFSok9IqY1
FyD7o20/pe/ZUnC90gR610F6uN67pp5NIuyFb1efnKVip99Ti3+zJ8QV/2YIyvcn+olRMj
CoLARgxf+VMg0B+KVnT2rbSnxarG46ttl2YUPAPMgS8/P1RlrTk9bVvx6XD08R5xEcnv7o
wS9iKxaBCHan8Wm7C5DpDmHYupQ/fj10b4ZIddf28JCPuCciHD4fvITa/ImMKTN+UqPWgO
rBNk92TAE/ByaWcfhJDmvH4wi7HWaaumrFktN7CH1XKcYcKPlzALExAj6BtHCMWyQpgiiu
VmS5IF/Q5nIDJ1ZOcUNlM3/joYcxXbMa5ZutRvJMnj08wLDweI6I6Q3S8gqY/nTRSwFfjV
93VEI5Yso5mCZp16+vCegn90NlQ6jCPxc1HdytQFpcjPuQbMLdzxQpZ1WE62SoVhzVuLTn
YpQLFsegssSDM/A1z54dgN9HI8lRNW8cxXXLKSIjDTYnk3W5dUaqW/JCttPmDcUd16YT8r
JPPjuDt7Fb
-----END SSH SIGNATURE-----
```

Then run:

```
ssh-keygen -Y verify -f /path/to/saved/key -I naomi@nhcarrigan.com -n socials -s /path/to/saved/signature < /path/to/saved/list
```

</details>
:::

## 1. Support and Communication Channels

### 1.1 Public Support Channels

We offer FREE support through several PUBLIC channels, including:

- Community Forums
- Public Repository Issues
- Open IRC Channels
- Custom Fediverse Instance

These channels are ideal for:

- General inquiries about our projects
- Bug reports and feature requests
- Community discussions and knowledge sharing
- Open-source collaboration opportunities

### 1.2 Private Support Options

While we encourage the use of public channels, we understand that some situations may require private communication. Please note:

- Private support is a premium service and may be subject to fees.
- We reserve the right to invoice you for private support services.
- Billing is based on the anticipated workload for your query.
- Responses to private queries will be provided only after invoice payment is confirmed.

To request private support, please contact us through `support@nhcarrigan.com`.

### 1.3 Engagement Opportunities

Our platforms offer various ways to engage with our projects and community:

- Request support for technical issues
- Express interest in contributing to our open-source projects
- Seek mentorship in software development
- Participate in casual discussions with our team and community members

### 1.4 Platform Directory

Below, you'll find a comprehensive list of our official communication platforms. Each platform serves specific purposes and caters to different types of interactions. Please choose the most appropriate channel for your needs to ensure the fastest and most effective response.

### 1.5 Contact Form

We offer a [contact form](https://forms.nhcarrigan.com/form/HyqoJ9Th5QDiOn_GPLNIRhe1a5ON7mDQf-O_ukM6R4g) for direct, low-priority communication requests.

It is often faster to reach out through one of the above platforms, and best to consider this contact form as a backup in the event of a severe outage.

## 2. Communication Platforms

### 2.1. Forum

Our self-hosted forum allows for more long-form communication, which is ideal for support queries and in-depth conversations.

- Join Link: https://forum.nhcarrigan.com
- Features:
  - Quick response times
  - Threaded conversations
  - Persistent and indexed posts
- Best for: Support queries

### 2.2. Code Repositories

Our code repositories are all self-hosted. Sign-ups are open for anyone who wants to file an issue or comment on a discussion, but making code contributions is restricted to our core team.

- Link: https://git.nhcarrigan.com
- Features:
  - Issue tracking
  - Source code for all of our products
- Best for: Filing tickets on our software.

### 2.3. Etiquette and Best Practices

- Please be respectful and follow the community guidelines on all platforms.
- Use appropriate channels or rooms for your queries to ensure the fastest response.
- Before asking a question, check if it has been answered in pinned messages or FAQs.
- When seeking help, provide as much relevant information as possible.

## 3. Announcements and Updates

### 3.1 Announcements Page

We have a dedicated forum category where we post all of our organisational updates.

- URL: https://announcements.nhcarrigan.com
- Nature: You can reply to announcement threads to discuss the announcement.
- Content:
  - Project updates and new releases
  - Important community announcements
  - Event notifications
  - Major policy changes
- Best for: Comprehensive, detailed announcements and long-form updates

### 3.2 Blog

Our blog contains more personal posts and updates.

- URL: https://blog.nhcarrigan.com
- Nature: This board is read-only.
- Content:
  - Personal life updates
  - Random musings
  - Cool insights into our decision making processes
- Best for: People who want more insight into the team behind NHCarrigan.

### 3.3 Interacting with Announcements

All of our announcements are read-only, but you can discuss them in any of our platforms mentioned in Section 1!

### 3.6 Historical Announcements

All announcements on our board are archived and remain accessible for future reference.

## 4. Professional Engagement and Portfolio

### 4.1 LinkedIn Profile

LinkedIn serves as our primary professional networking platform.

- Profile URL: https://linkedin.com/in/naomi-lgbt
- Purpose:
  - Professional networking
  - Career history and accomplishments
  - Skills endorsements and recommendations
- Best for:
  - Potential employers or clients
  - Professional collaborators
  - Industry peers

#### 4.1.1 Connecting on LinkedIn

When sending a connection request, please include a brief message explaining your interest. We typically respond to LinkedIn messages within 2-3 business days.

### 4.2 Peerlist Profile

As an alternative to LinkedIn, we maintain a presence on Peerlist, a platform focused on tech professionals.

- Profile URL: https://peerlist.io/naomi_lgbt
- Purpose:
  - Showcase technical projects and contributions
  - Highlight specific skills and technologies
  - Connect with other tech professionals
- Best for:
  - Tech-focused recruiters and companies
  - Fellow developers and engineers
  - Open-source collaborators

#### 4.2.1 Engaging on Peerlist

Feel free to explore our projects and contributions on Peerlist. You can leave comments or questions on specific items in our portfolio.

### 4.3 Professional Inquiries

When reaching out for professional reasons, please consider the following:

- Clear Purpose: State the reason for your contact (e.g., job opportunity, collaboration, consultation).
- Relevant Background: Provide brief context about yourself or your company.
- Specific Questions: If you have particular queries, include them in your initial message.

### 4.4 Services

If you're interested in hiring us to perform some work for you, fill out the form at https://forms.nhcarrigan.com/form/XRlQjeu8CbMrTA-v0IPOxlUPEPitLKXTWg70UUCIORA.

### 4.5 Speaking Engagements and Events

If you're interested in having us speak at your event or contribute to your publication, fill out the form at https://forms.nhcarrigan.com/form/Xqap3Q8hazzJd4Rrp9OOs9ip8Pa7C9zOVThlyFoPCbU.

### 4.6 Keeping Professional Connections Updated

We regularly update our professional profiles with new projects, skills, and achievements. Follow us on these platforms to stay informed about our professional journey and potential opportunities for collaboration.

## 5. One-on-One Sessions

We offer personalized, one-on-one sessions to cater to various needs, from casual conversations to in-depth consultations. Book your session through our Topmate profile.

### 5.1 Coffee Chat - $50

A casual, informal conversation to connect and share ideas.

- Duration: 15 minutes
- Purpose:
  - Get to know Naomi
  - Discuss general topics in tech
  - Share experiences and insights
- Best for:
  - Students looking for career advice
  - Professionals seeking to expand their network
  - Anyone interested in a friendly chat about tech and open source

### 5.2 Consulting Session - $100

A focused, one-on-one session to discuss potential new projects and align our services with your needs.

- Duration: 30 minutes
- Purpose:
  - Explore your project requirements in detail
  - Discuss how our services can meet your needs
  - Provide estimated quotes for the proposed work
- Best for:
  - Developers stuck on a particular problem
  - Project managers seeking technical guidance
  - Startups needing expert input on their tech stack

### 5.3 Mentorship Session - $200

An in-depth, personalized session focused on long-term professional growth and skill development.

- Duration: 1 hour
- Purpose:
  - Provide career guidance and development strategies
  - Offer personalized learning plans and resources
  - Review and provide feedback on code or projects
- Best for:
  - Early-career developers seeking guidance
  - Professionals looking to transition into tech
  - Anyone seeking structured, long-term professional development

### 5.4 How to Book a Session:

- Complete the [meeting request form](https://forms.nhcarrigan.com/form/uUKZiJSDm6847iDOlpZkD5QF7cAjoTbTm0F4T0EdW0I)
- Wait for an email to schedule a time
- Once a time is agreed upon, you will receive an invoice via email.
- The invoice MUST be paid at least 24 hours prior to your session.

### 5.5 Preparing for Your Session:

- Coffee Chat: Come with topics you'd like to discuss or questions about the industry
- Consulting: Prepare a clear description of your problem or project, and any relevant code or documentation
- Mentorship: Outline your career goals and areas where you'd like to improve

### 5.6 Additional Information:

- All sessions are conducted virtually via a video call over Zoom or Google Meet.
- Payment is required at the time of booking
- Rescheduling is possible with at least 24 hours notice

For any questions about these sessions or to discuss a different type of engagement, please reach out through our preferred contact methods listed in previous sections.

## 6. Email Communication

:::caution
Email communication is considered a paid service and will be invoiced at $25 per email we receive.
:::

We offer several email addresses for specific types of inquiries. Please use the appropriate email address to ensure your message reaches the right team and receives the most efficient response.

### 6.1 General Inquiries

- Email: contact@nhcarrigan.com
- Use for:
  - General questions about our services or projects
  - Partnership or collaboration proposals
  - Media or press inquiries
  - Any queries that don't fit other categories

### 6.2 Billing and Financial Matters

- Email: billing@nhcarrigan.com
- Use for:
  - Questions about payments or invoices
  - Inquiries about outstanding balances
  - Refund requests
  - Updating billing information

### 6.3 Technical Support

- Email: support@nhcarrigan.com
- Use for:
  - Assistance with using our software or services
  - Reporting bugs or technical issues
  - Documentation clarifications

### 6.4 Privacy Concerns

- Email: privacy@nhcarrigan.com
- Use for:
  - Questions about our privacy policy
  - Requests for data access or deletion
  - Reporting potential privacy breaches
  - Opting out of data collection (where applicable)

### 6.5 Security Matters

- Email: security@nhcarrigan.com
- Use for:
  - Reporting security vulnerabilities
  - Questions about our security practices
  - Concerns about potential security breaches

### 6.6 Legal Inquiries

- Email: legal@nhcarrigan.com
- Use for:
  - Legal questions or concerns
  - Copyright or trademark issues
  - Requests for legal documentation
  - Formal notices or communications

### 6.7 Feedback and Suggestions

- Email: feedback@nhcarrigan.com
- Use for:
  - Providing feedback on our work or projects
  - Suggesting improvements or new features
  - Sharing your experience with our services
  - Offering ideas for future developments

### 6.8 Press/Media Inquiries

- Email: press@nhcarrigan.com
- Use for:
  - Requesting comment regarding news
  - Scheduling interviews for your media outlet
  - Attribution requests in academic articles

### 6.9 Event Requests

- Email: events@nhcarrigan.com
- Use for:
  - Requesting our appearance at your event
  - Speaking engagement opportunities
  - Workshop or training session requests
  - Event sponsorship inquiries

### 6.10 Marketing Inquiries

- Email: marketing@nhcarrigan.com
- Use for:
  - Marketing collaboration proposals
  - Brand partnership opportunities
  - Advertising inquiries
  - Content licensing requests

### 6.11 Career Information

- Email: careers@nhcarrigan.com
- Use for:
  - Sending your resume to inquire about opportunities to work with us
  - Questions about open positions
  - Inquiries
  - Following up on job applications

### 6.12 Partnerships

- Email: partners@nhcarrigan.com
- Use for:
  - Requesting a collaboration between our organisation and yours
  - Sponsorship opportunities for our work
  - Brand ambassador programmes
  - Product placement or sponsored content inquiries

### 6.13 Email Communication Guidelines

- Subject Line: Please use a clear, concise subject line that summarizes your inquiry.
- Content: Provide all relevant details in your initial email to expedite the response process.
- Attachments: If sending attachments, please mention them in the email body and ensure they are in common file formats.
- Response Time: We aim to respond to all emails within 2 business days. Complex inquiries may require additional time.
- Follow-ups: If you haven't received a response after 3 business days, feel free to send a polite follow-up.

### 6.14 Email Privacy and Security

All email communications are treated as confidential.

We do not share your email address or the content of your messages with third parties unless:

- Required by law; OR
- As part of a public warning related to a violation of our Code of Conduct

### 6.15 Spam and Unsolicited Emails

We have a strict no-spam policy. If you receive any unsolicited emails claiming to be from us, please report them to security@nhcarrigan.com.

By using the appropriate email address for your inquiry, you help us provide you with the most efficient and accurate response possible. If you're unsure which email to use, feel free to send your inquiry to contact@nhcarrigan.com, and we'll direct it to the appropriate team.

### 6.16 Acceptable Use and Consequences

We are committed to maintaining a respectful and productive communication environment. To ensure this:

- All email communications should be professional and respectful.
- Harassment, threats, or abusive language will not be tolerated.
- Spam or excessive unsolicited emails are prohibited.
- Attempting to use our email system for malicious purposes (e.g., phishing, spreading malware) is strictly forbidden.

:::danger[Attention!]
Abuse of our email system or violation of these guidelines will result in your email address being blocked from sending communications to any of our addresses. This block may be temporary or permanent, depending on the severity and frequency of the abuse.
:::

If you believe your email has been blocked in error, please contact us through an alternative method listed in this document to request a review of the situation.

We reserve the right to report serious abuses to relevant authorities if necessary.

By communicating with us via email, you agree to adhere to these guidelines and understand the consequences of misuse.

## 7. Direct Messages

:::caution
Direct messages (DMs) are considered a paid service and will be invoiced at $25 per message we receive.
:::

### 7.1 Direct Message Policy

We offer direct messaging as a premium, personalized communication channel. However, to manage our time effectively and ensure the highest quality of service, we have implemented the following policy for direct messages:

- Each direct message received will be invoiced at $25.
- This applies to all platforms where direct messaging is available.

### 7.2 Purpose and Use

Direct messages should be used for:

- Urgent matters that cannot be addressed through public channels
- Sensitive information that shouldn't be shared publicly
- Personalized support or consultation requests

### 7.3 Invoicing and Payment

- An invoice will be generated for each direct message received.
- Payment is required before a response will be provided.
- Invoices will be sent to you via the direct message channel on the platform where the direct message was received.

### 7.4 Response Time

- Once payment is received, we aim to respond to direct messages within 1-2 business days.
- Complex inquiries may require additional time, which will be communicated to you.

### 7.5 Refund Policy

- Due to the immediate nature of the service, refunds for direct messages are not typically offered.
- In exceptional circumstances, refund requests will be considered on a case-by-case basis.

### 7.6 Appropriate Use

- Direct messages should be used responsibly and for legitimate purposes only.
- Abusive, harassing, or spam messages will not be tolerated and may result in blocking or reporting to the platform.

### 7.7 Alternatives

We encourage users to consider the following alternatives before sending a direct message:

- Use our public support channels for general inquiries (see Section 1.1)
- Check our FAQ or documentation for commonly asked questions
- Post in our community forums for non-urgent matters

### 7.8 Consent and Acknowledgment

By sending a direct message, you acknowledge that you have read and agreed to this policy, including the fee structure and invoicing process.

Remember, while we value direct communication, we encourage the use of our public channels whenever possible to foster community engagement and shared learning.
