---
title: DMCA and Intellectual Property Compliance Policy
---

## 1. General Principles

- Respect for intellectual property rights is fundamental to our community's ethos and operations.
- All community members, including users, contributors, and administrators, are expected to comply with applicable copyright laws, trademark regulations, and licensing terms.
- This policy aims to protect the rights of content creators while fostering an environment of innovation and knowledge sharing.
- Ignorance of the law or this policy is not considered a valid excuse for non-compliance.

## 2. Sharing Copyrighted Material

- Do not share copyrighted material without explicit permission from the copyright holder or a valid license.
- When sharing is permitted, always include proper attribution and adhere to any specified terms of use.
- Linking to legitimately published content is generally acceptable, but copying and pasting substantial portions is discouraged unless explicitly allowed by the copyright holder.
- Be aware that even user-generated content on social media platforms may be copyrighted.
- When in doubt about the copyright status of material, err on the side of caution and seek permission or clarification.

## 3. Fair Use and Educational Purposes

- Limited use of copyrighted material for commentary, criticism, news reporting, teaching, scholarship, or research may be permissible under fair use doctrines.
- When relying on fair use, clearly indicate the source and purpose of the use.
- Fair use is determined on a case-by-case basis, considering factors such as:
  - The purpose and character of the use (commercial vs. non-profit educational)
  - The nature of the copyrighted work
  - The amount and substantiality of the portion used
  - The effect of the use upon the potential market for the copyrighted work
- Educational use does not automatically qualify as fair use; consider all factors carefully.

## 4. Proper Attribution

- When using or referencing others' work, always provide clear and comprehensive attribution.
- Attribution should include:
  - The name of the creator or author
  - The title of the work
  - The source (e.g., website URL, book title, journal name)
  - The date of publication or creation (if available)
  - Any applicable license terms
- For digital content, consider using hyperlinks to the original source when possible.
- Follow citation guidelines appropriate to your field or the context of use (e.g., APA, Chicago).

## 5. Original Content Creation and Sharing

- Community members are encouraged to create and share original content.
- By sharing original content in our community spaces, you grant the community a non-exclusive, worldwide, royalty-free right to use, reproduce, modify, adapt, publish, translate, distribute, and display the content within the community.
- You retain copyright of your original work unless explicitly stated otherwise.
- Consider adding a clear copyright notice to your original works.
- Be mindful of using third-party content (e.g., images, music) in your original creations, ensuring you have the right to incorporate such elements.

## 6. Open Source and Creative Commons

- We encourage the use of open source licenses and Creative Commons for shared content where appropriate.
- When using open source or Creative Commons licensed material, adhere strictly to the terms of the license.
- Familiarize yourself with different types of open source and Creative Commons licenses and their requirements (e.g., attribution, share-alike, non-commercial use).
- Provide clear license information when sharing your own content under open source or Creative Commons terms.

## 7. Code Snippets and Examples

- Short code snippets shared for educational or troubleshooting purposes are generally acceptable under fair use.
- For larger code samples, include license information and attribution if taken from other sources.
- When sharing your own code, consider using an appropriate open source license.
- Be aware that copying entire programs or substantial portions of code may infringe copyright, even if source attribution is provided.

## 8. Plagiarism

- Presenting others' work as your own is strictly prohibited and considered a serious offence.
- This includes code, text, images, ideas, and any other form of content.
- Plagiarism can have serious consequences, including loss of community privileges, academic penalties, or legal action.
- Always cite your sources and use quotation marks for direct quotes.

## 9. Trademark Usage

- Respect trademark rights when referencing products, services, or organizations.
- Use trademark symbols (™, ®) appropriately when referring to trademarked names.
- Avoid using trademarks in a way that suggests endorsement or affiliation without permission.

## 10. Digital Millennium Copyright Act (DMCA) Compliance

- We comply with the DMCA and maintain a policy for addressing claims of copyright infringement.
- If you believe your copyrighted work has been improperly used within our community, submit a DMCA takedown notice to DMCA@nhcarrigan.com.
- DMCA takedown notices must include:
  - Identification of the copyrighted work claimed to have been infringed
  - Identification of the allegedly infringing material
  - Contact information for the complainant
  - A statement of good faith belief that the use is not authorized
  - A statement, under penalty of perjury, that the information in the notice is accurate and that the complainant is authorized to act on behalf of the copyright owner
- We will promptly investigate all legitimate DMCA takedown notices and take appropriate action, which may include content removal or account suspension.

## 11. Counter-Notifications

- If you believe your content was wrongly removed due to a DMCA takedown notice, you may submit a counter-notification.
- Counter-notifications must include:
  - Identification of the removed material and its location before removal
  - A statement under penalty of perjury that you have a good faith belief the material was removed by mistake or misidentification
  - Your name, address, and telephone number
  - A statement that you consent to the jurisdiction of the federal district court for the judicial district in which you reside

## 12. Repeat Infringer Policy

- We maintain a repeat infringer policy to ensure ongoing DMCA compliance.
- Users who repeatedly infringe copyrights may have their accounts terminated.
- We keep records of DMCA notices and counter-notifications to identify repeat infringers.

## 13. Education and Awareness

- We are committed to educating our community about intellectual property rights and responsibilities.
- Regular updates and resources on copyright law and best practices will be provided.
- Members are encouraged to seek clarification on any aspect of this policy they find unclear.

## 14. Policy Updates

- This policy may be updated periodically to reflect changes in law, technology, or community needs.
- Continued use of our community platforms constitutes acceptance of the current policy.

## 15. Disclaimer

- This policy is not exhaustive and does not constitute legal advice.
- Users are encouraged to seek independent legal counsel for specific intellectual property matters.

By participating in our community, you agree to abide by this DMCA and Intellectual Property Compliance Policy. Failure to comply may result in content removal, account suspension, or other appropriate actions as determined by community administrators.
