---
title: Downloading and Editing Music
---

This serves as our documentation for how we manage our local music libraries on Linux.

## Acquiring Music

You are welcome to use any method you wish to *LEGALLY* acquire music. We would never encourage the criminal act of piracy. But maybe you're an artist and you want to archive or back up your own music - in that case, here you go:

```bash
yt-dlp -x --audio-format mp3 <url> --cookies-from-browser firefox
```

Omit the `--cookies-from-browser firefox` if you do not need authentication (auth is required for age-restricted content, for example).

## Editing Metadata

The specific meta tags you may need to set will vary depending on the music software you use. We have confirmed that `TIT2` is read as the title and `TPE1` is read as the artist when using Amberol on Linux and Musicolet on Android. Using `-t` and `-a` might work.

```bash
id3v2 "/path/to/song" --TIT2 "Song Title" --TPE1 "Song Artist" 
```

## Adding Cover Image

Download the image (we have confirmed JPEGs work) that you want to apply to the song, then run:

```bash
eyeD3 --add-image="/path/to/img":FRONT_COVER "/path/to/mp3"
```

## Copying to Android Locally

You'll need to replace your paths and your device ID to match your local setup, but:

```bash
adb -s 192.168.12.105:5555 push music/* /storage/self/primary/Music
```
